/**
 * This is the main application stylesheet. It should include or import all
 * stylesheets used throughout the application as this is the only stylesheet in
 * the Grunt configuration that is automatically processed.
 */

/**
 * First, we include the Twitter Bootstrap LESS files. Only the ones used in the
 * project should be imported as the rest are just wasting space.
 */

@import 'twbs-my-bootstrap.less';

/**
 * PAPER THEME borrowed bits
 */

body, input, button {
  letter-spacing: .1px;
  -webkit-font-smoothing: antialiased;
}

.nav-tabs {
  > li > a,
  > li > a:focus {
    margin-right: 0;
    background-color: transparent;
    border: none;
    color: @navbar-default-link-color;
    .box-shadow(inset 0 -1px 0 #ddd);
    .transition(all 0.2s);

    &:hover {
      background-color: transparent;
      .box-shadow(inset 0 -2px 0 @brand-primary);
      color: @brand-primary;
    }
  }

  & > li.active > a,
  & > li.active > a:focus {
    border: none;
    .box-shadow(inset 0 -2px 0 @brand-primary);
    color: @brand-primary;

    &:hover {
      border: none;
      color: @brand-primary;
    }
  }

  & > li.disabled > a {
    .box-shadow(inset 0 -1px 0 #ddd);
  }

  &.nav-justified {

    & > li > a,
    & > li > a:hover,
    & > li > a:focus,
    & > .active > a,
    & > .active > a:hover,
    & > .active > a:focus {
      border: none;
    }
  }
}

/**
 * My own bootstrap customisations
 */

.btn:focus, .btn:active:focus, button:focus, button:active:focus {
  outline: none;
}

body, .form-control {
  font-size: 13px;
}

.form-control, .form-control:focus {
  .box-shadow(none);
}

.form-control {
  border-color: #ddd;
  height: 30px;
  padding-left: 10px;
  padding-right: 10px;
}

label.control-label {
  display: block;
  font-weight: normal;
  color: @label-font-color;
  text-transform: uppercase;
  font-size: 11px;
  letter-spacing: 1px;
  margin-bottom: 3px;
}

.btn {
  border-width:2px;
}

/**
 * This is our main variables file. It in turn imports the `variables` file from
 * Twitter Bootstrap. We must include it last so we can overwrite any variable
 * definitions in our imported stylesheets.
 */

@import 'variables.less';

/**
 * Now that all app-wide styles have been applied, we can load the styles for
 * all the submodules and components we are using.
 */

html, body, app {
  height: 100%;
  overflow: hidden;
  min-width: 1024px;
  // min-height: 600px;
}

body {
  color: @font-color-base;
}

textarea {
  resize: none;
}

/**
 * Utilities
 */

@import 'flexbox.less';

.columns-equals {
  .flex-layout-h;

  &> * {
    .flex;
    margin-left: @padded-horizontal;

    &:first-child {
      margin-left: 0;
    }
  }
}

.nowide input, .nowide select {
  width: auto;
}

.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.color-dirty      { color: #E6A507; }
.color-resolved   { color: #60B929; }
.color-unresolved { color: rgba(0,0,0,0.2); }
.color-locked     { color: #666; }
.color-new        { color: #0CB1C5; }

.status-label {
  text-transform: uppercase;
  font-size: 11px;
  letter-spacing: 1px;
}

textarea {
  &.code {
    font-size: 13.5px;
    font-family: Courier;
    letter-spacing: -0.5px;
    // -webkit-font-smoothing: auto;
  }

  &[ui-tinymce] {
    min-height: 300px;
  }
}

.btn-round, .btn-round:hover,
.btn-round-sm, .btn-round-sm:hover {
  border-radius: 999px;
  text-align: center;
  color: #666;
  border-color: #999 !important;
  height: 30px;
  width: 30px;
  padding: 0;

  &.fa-trash-o, &.fa-trash-o:hover,
  &.fa-trash, &.fa-trash:hover {
    color: @brand-danger;
    border-color: @brand-danger !important;
  }

  &.fa-save, &.fa-save:hover {
    color: green;
    border-color: green !important;
  }

  &.fa-plus, &.fa-plus:hover {
    color: @brand-primary;
    border-color: @brand-primary !important;
  }

  &[disabled] {
    opacity: 0.3;
  }
}

.btn-round-sm, .btn-round-sm:hover {
  width: 24px;
  height: 24px;
  font-size: 10px;

  &.fa-trash-o, &.fa-trash {
    font-size: 11px;
  }
}

.my-input-flex {
  .flex;
  .flex-layout-v;

  my-input-group {
    .flex;
    .flex-layout-v;
    .my-input-group-flex;
  }
}

.my-input-group-flex {
  .flex;
  .flex-layout-v;

  .form-group {
    .flex;
    .flex-layout-v;

    ng-transclude {
      .flex;
      .flex-layout-v;

      input, select, textarea {
        .flex;
      }
    }
  }
}

my-input.flex {
  .my-input-flex;
}

my-input-group.flex {
  .my-input-group-flex;
}

/**
 * Panes
 */

.padded-pane,
.fully-padded-pane {
  padding: @padded-vertical @padded-horizontal;
}
.padded-pane{
  padding-bottom: 0;
}

.spaced-pane {
  padding: @padded-horizontal @padded-horizontal 0 @padded-horizontal;
}

.scrollable-pane {
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  // padding: 15px;
}

/**
 * Allow flexed elements to grow beyond the available space if they are inside an scrollable pane
 */
.scrollable-pane > * {
  .flex-only-grow !important;

  /*
  // min-height: auto; // for ff
  flex-shrink: 0 !important; // for chrome
  // flex-basis: auto; // for chrome 49+
  */
}

.trench-pane {
  background-color: #F5F5F5;
  padding: @trench;
  padding-bottom: 0;
  border-right: 2px solid @thick-separator-color;
  border-top: 2px solid #ECECEC;
  //border-bottom: 1px solid @my-tabs-border-color;
}

@import 'card-pane.less';

@import "vselector.less";

@import "my-tabs.less";

/**
 * Layout
 */

#topnav {
  background-color: #656565;
  padding: 0 @padded-horizontal;
  min-height: 40px;
  height: 40px;
  border-bottom: 2px solid #4C4C4C;

  .flex-layout-h;

  h1 {
    margin: 0;
    line-height: 38px;
    font-size: 21px;
    color: white;
    margin-left:-@padded-horizontal;
    padding: 0 @padded-horizontal;
    font-weight: 300;
    letter-spacing: 1px;
    background-color: #585858;
  }

  #mainnav {
    .flex;
  }

  lang-selector {
    .flex-layout-h;
    align-items: center;

    .form-group {
      margin-bottom: 0;

      .form-control {
        height: 25px;
        line-height: 25px;
      }
    }
  }

  button, a {
    background: none;
    border: none;
    padding: 0 @padded-horizontal;
    color: white;
    height: 38px;
    line-height: 37px;
    font-size: 15px;

    &.active {
      background-color: #404040;
    }

    span {
      display: none;
    }

    /*&:hover {
      span {
        display: inline;
      }
    }*/
  }
}

lang-selector select {
  font-size: 12px !important;
}

#logout {
  margin-right: -@padded-horizontal;
}

#loader {
  background-color: rgba(255, 255, 255, 0.4);
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

#trench-main {
  .flex;
  .flex-layout;

  //&[trench-pane], &.trench-pane {
    border-top: none;
    border-bottom: 0;
  //}
}

#vselector-main {
  width: 400px;
  @media all and (max-width: 1600px) {
    width: 340px;
  }
  @media all and (max-width: 1280px) {
    width: 240px;
  }

  &.closed {
    display: none;
  }

  .vselector-head .title {
    font-weight: bold;
    font-size: 22px;
    line-height: 24px;
  }
}

.textarea-langs {
  padding-top: @padded-vertical/2;
  //margin-left: -1px;
  button {
    color: #999;
    display: block;
    background: none;
    border: 0;
    border-left: 2px solid @thick-separator-color;
    padding-right: 0px;
    padding-left: @padded-horizontal/2;

    &:hover, &.active {
      color: @font-color-base;
    }

    &.active {
      border-left-color: @selector-highlight-color;
    }
  }
}

.field-upload {
  .flex-layout-h;
  .flex;
  align-items: center;

  .field-upload-extension {
    .flex;
    color: #888;
  }

  .field-upload-actions {
    .flex-layout-h;

    button {
      margin-left: 5px;
    }
  }
}

outlet.flex-layout > * {
  .flex;
  .flex-layout;
}

/**
 * Section specifics
 */

/**
 * Questions
 */

#question-wording textarea {
  min-height: 180px;
}

a.active {
  color:lime;
}

#question-sqls > div {
  min-height: 400px;
}

#testset-sqls-1 {
  min-height: 300px;
}

#testset-sqls-2 {
  min-height: 150px;
}

#check-sqls {
  min-height: 375px;
}

#input-tsdescription, #input-ckdescription {
  min-height: 75px;
}

#input-tserrormsg, #input-ckerrormsg {
  min-height: 75px;
}

#thematics-selector select {
  height: 93px;
}

/*#input-INITS {
  min-height: 320px;
}*/

.search-multi {
  flex-shrink: 0;
  select {
    min-height: 70px;
  }
}

#weights-table {
  width: 100%;

  th, td {
    padding-bottom: 10px;
  }

  th {
    text-align: left;
  }

  tr {
    :last-child {
      text-align: right;
    }
  }

  tr.total {
    td {
      border-top: 1px solid #999;
      padding-top: 10px;
      font-size: 15px;
      font-weight: bold;
      color: red;
      &.valid {
        color: green;
      }
    }
  }
}